Name:           perl-HTML-HTML5-Entities
Version:        0.004
Release:        3%{?dist}
Summary:        Drop-in replacement for HTML::Entities with HTML5 support
# CONTRIBUTING:                 GPL+ or Artistic or (Creative Commons
#                               Attribution ShareAlike 2.0 UK: England & Wales)
# lib/HTML/HTML5/Entities.pm:   GPL+ or Artistic (and copyright only by
#                               various parties)
License:        (GPL+ or Artistic) and (GPL+ or Artistic or CC-BY-SA)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-HTML5-Entities/
Source0:        http://www.cpan.org/authors/id/T/TO/TOBYINK/HTML-HTML5-Entities-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(utf8)
# Tests:
BuildRequires:  perl(Test::More) >= 0.61
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Exporter)

%description
This is a drop-in replacement for HTML::Entities Perl module. This replacement
provides the character entities defined in HTML5.

%prep
%setup -q -n HTML-HTML5-Entities-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING COPYRIGHT CREDITS README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.004-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Sep 10 2015 Petr Pisar <ppisar@redhat.com> 0.004-1
- Specfile autogenerated by cpanspec 1.78.
